Subject: bug#20733: coreutils build problem

From: Eric Blake <[email-masked]>
Date: Fri, 05 Jun 2015 07:08:24 -0600

On 06/05/2015 05:13 AM, Michael Felt wrote:
> I think I still have automake 1.14 lying around, but would be nice if
> automake-1.15 would have just accepted the patch :)
> 
> *Most important - the patch seems to be working!* At least I got farther...
> 
> On my "bare system" - initially NO extras installed to find 'hard', i.e.,
> real dependencies.
> 
> root@x065:[/data/prj/gnu/coreutils/coreutils-8.23]make
>   GEN      lib/alloca.h
>   GEN      lib/arpa/inet.h
>   GEN      ./src/single-binary.mk
>  cd . && /bin/sh /data/prj/gnu/coreutils/coreutils-8.23/build-aux/missing
> automake-1.14 --gnu Makefile
> /data/prj/gnu/coreutils/coreutils-8.23/build-aux/missing[81]:
> automake-1.14:  not found.
> WARNING: 'automake-1.14' is missing on your system.

That says you are doing an incremental build, but have updated automake
in the meantime.  Do 'autoreconf -f' to pick up the new automake version
into your generated Makefile.in files, and it should fix this issue.

A fresh checkout rather than an incremental build would also work.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org